Bug 193305 - Update ports: japanese/cmigemo*
Summary: Update ports: japanese/cmigemo*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: MANTANI Nobutaka
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-04 09:46 UTC by katsuyoshi.ohara
Modified: 2014-12-23 13:33 UTC (History)
1 user (show)

See Also:


Attachments
patches for japanese/cmigemo and japanese/cmigome-dict (4.25 KB, patch)
2014-09-04 09:46 UTC, katsuyoshi.ohara
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description katsuyoshi.ohara 2014-09-04 09:46:49 UTC
Created attachment 146773 [details]
patches for japanese/cmigemo and japanese/cmigome-dict

It seems that japanese/cmigemo* have two problems.

1. dictionaries and data files cannot be built if convertes/libiconv 
   accepts the EUC-JP-MS encoding.
   In 10.0-RELEASE, /usr/bin/iconv also has same behavior, 
   because these iconvs distinguish EUC-JP-MS from EUC-JP.
   We can use japanese/nkf instead of iconv.

2. cmigemo sometimes gives bad regular expressions for emacs.
   The bug has been fixed in latest version.
   Currently, cmigomo is developed in GitHub.

In order to solve the problem, 
I send patches for japanese/cmigemo and japanese/cmigemo-dict.
Comment 1 John Marino freebsd_committer 2014-09-04 17:11:10 UTC
over to maintainer
Comment 2 Jun Kuriyama freebsd_committer 2014-12-15 22:49:52 UTC
Hmm, something strange in cmigemo-dict part.  %SUBDIR% not replaced?

> => Attempting to fetch https://codeload.github.com/%SUBDIR%cmigemo-20140309.tar.gz
> fetch: https://codeload.github.com/%SUBDIR%cmigemo-20140309.tar.gz: Bad Request
Comment 3 commit-hook freebsd_committer 2014-12-23 13:30:47 UTC
A commit references this bug:

Author: nobutaka
Date: Tue Dec 23 13:30:14 UTC 2014
New revision: 375323
URL: https://svnweb.freebsd.org/changeset/ports/375323

Log:
  Update to 20141220.
  Change MASTER_SITES to GitHub.
  Use nkf to generate dictionaries and data files.

  PR:		ports/193305
  Submitted by:	katsuyoshi.ohara@gmail.com

Changes:
  head/japanese/cmigemo/Makefile
  head/japanese/cmigemo/distinfo
  head/japanese/cmigemo/files/patch-compile_config.mk.in
  head/japanese/cmigemo/files/patch-dict_dict.mak
  head/japanese/cmigemo/files/patch-src_wordbuf.c
  head/japanese/cmigemo-dict/Makefile